server:
  port: 9002
  origin: 'http://localhost:9002'

db:
  host: 'localhost'
  type: 'mysql'
  port: 3306
  username: 'root'
  password: "ngadmin@12345"
  database: 'event_app'
  synchronize: false

jwt:
  # expiresIn: 10
  expiresIn: 900
  refreshExpiresIn: 604800
  cookieExpiresIn: 604800
  secret: 'jwt-secret-get-guy'

app:
  fallbackLanguage: 'en'
  name: 'Event App CMS'
  version: 'v0.1'
  description: 'Official API'
  appUrl: 'http://localhost:7667'
  sameSite: true

mail:
  host: 'in-v3.mailjet.com'
  port: 465
  user: '219a7a92332e751054319d7a6983d5d1'
  pass: '7ef21f1aced0a53960ea05ab2f2029a0'
  from: 'Get Guy'
  fromMail: 'hello@getguy.com'
  preview: true
  secure: true
  ignoreTLS: true
  queueName: 'tradirect-mail'

queue:
  driver: 'redis'
  host: 'localhost'
  port: 6379
  db: ''
  password: ''
  username: ''

throttle:
  global:
    ttl: 60
    limit: 60
  login:
    prefix: 'login_fail_throttle'
    limit: 5
    duration: 2592000
    blockDuration: 3000

twofa:
  authenticationAppNAme: 'getguy'

winston:
  groupName: 'getguy'
  streamName: 'getguy-stream'
  awsAccessKeyId: ''
  awsSecretAccessKey: ''
  awsRegion: ''
